## GdkCairoContext GdkCairoContext — Cairo draw context |

## Functions

cairo_t * | gdk_cairo_context_cairo_create ()

## Types and Values

| GdkCairoContext

## Includes

    #include <gdk/gdk.h>

## Description

GdkCairoContext is an object representing the platform-specific draw context.

GdkCairoContexts are created for a GdkDisplay using `gdk_surface_create_cairo_context()`, and the context can then be used to draw on that GdkSurface.

## Functions

### gdk_cairo_context_cairo_create ()

    cairo_t *
    gdk_cairo_context_cairo_create (GdkCairoContext *self);

Retrieves a Cairo context to be used to draw on the GdkSurface of `context` . A call to `gdk_draw_context_begin_frame()` with this `context` must have been done or this function will return `NULL`.

The returned context is guaranteed to be valid until `gdk_draw_context_end_frame()` is called.

#### Parameters

self | a GdkCairoContext that is currently drawing |

#### Returns

a Cairo context to be used to draw the contents of the GdkSurface. `NULL` is returned when `context` is not drawing.

[transfer full][nullable]

## Types and Values

### GdkCairoContext

    typedef struct {
      GdkDrawContext parent_instance;
    } GdkCairoContext;

The GdkCairoContext struct contains only private fields and should not be accessed directly.